
TYPO3.Fluid - Feature # 4968

Status: Resolved Priority: Should have
Author: Markus Dreyer Category: ViewHelpers
Created: 2009-10-11 Assigned To: Bastian Waidelich
Updated: 2010-10-20 Due date:
Has patch:
Subject: Sorting by OptionLabel for Selectbox
Description

I would like to have a sorting option for selectboxes.

sometihng like:

$this->registerArgument('sortByOptionLabel', 'boolean', 'If true, List will be sorted by label.');

and in getOptions

if ($this->arguments->hasArgument('sortByOptionLabel') && $this->arguments['sortByOptionLabel'] === true) {
      asort($options);
}

Associated revisions
Revision 41e5943b - 2009-11-26 19:07 - Bastian Waidelich

[+FEATURE] Fluid (ViewHelpers): Now select view helpers can sort options by label if "sortByOptionLabel" attribute is true. Thanks to Markus Dreyer!
This resolves #4968

History
#1 - 2009-10-19 15:37 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Category deleted (432)

#2 - 2009-10-27 13:54 - Bastian Waidelich
- Category set to ViewHelpers
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Branch set to v4 + v5

#3 - 2009-11-26 20:01 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3514.
